Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
customers
/
change_password
Change password
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/customers/change_password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "audience": "<string>",
  "type": "customer"
}
'
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
email
string
required
audience
string
required

The unique identifier of the target API you want to access. The audience must be a grant associated with the client used when calling this resource.

type
enum<string>
required

user type to login, required as users with different type can share email

Available options:
customer,
company

Response

Success